<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.1
Name: [4] Rozpoznanie główne
Description: Szablon CDA dla rozpoznania głównego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000">
   <title>[4] Rozpoznanie główne</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]"
         id="tmp-r-6bbd1a6d-8b5d-4927-9cf9-69605756411f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-b188915a-4e60-4f38-b4e6-31c8ae2aa4f5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] | self::hl7:organizer[@classCode='BATTERY' and @moodCode='EVN'])])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:organizer jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:organizer)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:organizer występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-144253a2-3205-4cad-a6af-1695949c2c02">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.1'">(plCdaPrincipalDiagnosis): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPrincipalDiagnosis): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer"
         id="tmp-r-6a0348ca-5cb5-4167-803d-5971c4e00d60">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@classCode)='BATTERY'">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'BATTERY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@moodCode)='EVN'">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED CT' and @displayName='Principal diagnosis'] | self::hl7:statusCode[@code='completed'] | self::hl7:component)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:component jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:component)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:component występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code"
         id="tmp-r-6e9503c2-f344-42d7-84cb-400dae993ae1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Principal diagnosis' and @codeSystemName='SNOMED CT')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code '8319008' codeSystem '2.16.840.1.113883.6.96' displayName='Principal diagnosis' codeSystemName='SNOMED CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']"
         id="tmp-r-61947e75-0f1a-4164-97e7-f8f26477cefe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component"
         id="tmp-r-b463ea0c-daaa-4f8c-80f5-8775a6f66154">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:observation)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:observation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation"
         id="tmp-r-f75fc83c-5e7f-4636-8c51-deb51fc15ddd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='2.16.840.1.113883.6.3'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10'] | self::hl7:code[@codeSystem='2.16.840.1.113883.6.260'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding'] | self::hl7:text)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3']|hl7:code[@codeSystem='2.16.840.1.113883.6.260'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="$elmcount&gt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="$elmcount&lt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.260'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.260'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']"
         id="tmp-r-2698e8bd-b097-47e3-886f-86cab5011e3f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.3' codeSystemName='icd10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']"
         id="tmp-r-856685a3-197e-4bdd-9821-e5ca68ec6366">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.260' codeSystemName='icd10DualCoding'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text"
         id="tmp-r-7c1d0a06-acac-419b-bf98-5a69633f6cc2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText):  Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference"
         id="tmp-r-30d67583-5dda-4062-b397-63db2fb5a58f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText):  Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID </assert>
   </rule>
</pattern>
