<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.16
Name: [3] Sekcja główna skierowania na pielęgniarską opiekę długoterminową
Description: Szablon CDA dla sekcji głównej skierowania pielęgniarską opiekę długoterminową
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000">
   <title>[3] Sekcja główna skierowania na pielęgniarską opiekę długoterminową</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]"
         id="tmp-r-bb28a898-31bb-4e59-8a2f-400f29a32cd8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16'])&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']"
         id="tmp-r-f12988e9-f428-4657-b7d7-3020fd02e948">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralToLongtermNursingPrescriptionsSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralToLongtermNursingPrescriptionsSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16'] | self::hl7:id | self::hl7:code[@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Prescriptions'] | self::hl7:title['Zalecenia lekarskie'] | self::hl7:text | self::hl7:entry)])">(plCdaReferralToLongtermNursingPrescriptionsSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja główna skierowania na pielęgniarską opiekę długoterminową" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16']/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16'])&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/@nullFlavor)">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'])&lt;=1">(plCdaReferralToLongtermNursingPrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16']
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.16']"
         id="tmp-r-3760044a-f50f-490f-b655-2dc5b6ce5db2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.16'">(plCdaReferralToLongtermNursingPrescriptionsSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.16'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:id
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:id"
         id="tmp-r-3786b9c4-d729-49d9-801a-13641d284555">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1dbf7ae2-dcd5-42ff-8c0b-00ac8de3861a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="@nullFlavor or (@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescriptions' and @codeSystemName='LOINC')">(plCdaReferralToLongtermNursingPrescriptionsSection): Wartość elementu MUSI wynosić code '57828-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescriptions' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:title
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:title"
         id="tmp-r-51fd8970-7842-4518-b08b-4c8e506131ef">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="text()='Zalecenia lekarskie'">(plCdaReferralToLongtermNursingPrescriptionsSection): zawartość elementu hl7:title MUSI wynosić ''Zalecenia lekarskie''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.16
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:text
Item: (plCdaReferralToLongtermNursingPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.16']/hl7:text"
         id="tmp-r-088d1f8f-ef29-49f6-b2e9-e0fd92e4f322">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.16-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
