<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.1
Name: [4] Rozpoznanie główne
Description: Szablon CDA dla rozpoznania głównego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000">
   <title>[4] Rozpoznanie główne</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]"
         id="tmp-r-210a67be-44d9-43f5-828d-d9394deba3ac">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-7e8014c2-22c3-4ed8-9043-004e6c97aaaa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] | self::hl7:organizer[@classCode='BATTERY' and @moodCode='EVN'])])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:organizer jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:organizer)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:organizer występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-85240ce8-deaa-44e2-bbfb-e89bd4c4444a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.1'">(plCdaPrincipalDiagnosis): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPrincipalDiagnosis): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer"
         id="tmp-r-c15bc2ba-c3e4-46ce-9a4f-5f85aee23235">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@classCode)='BATTERY'">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'BATTERY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@moodCode)='EVN'">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED CT' and @displayName='Principal diagnosis'] | self::hl7:statusCode[@code='completed'] | self::hl7:component)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:component jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:component)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:component występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code"
         id="tmp-r-4e025c0e-22b0-4324-bd07-fea4619075bc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Principal diagnosis' and @codeSystemName='SNOMED CT')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code '8319008' codeSystem '2.16.840.1.113883.6.96' displayName='Principal diagnosis' codeSystemName='SNOMED CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']"
         id="tmp-r-3624292f-6791-4ca5-bc31-a28a23e0bd7a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component"
         id="tmp-r-7a312aea-b30e-47a0-8925-1c0fde5d650d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:observation)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:observation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation"
         id="tmp-r-a1475c00-fa8d-4f7b-96dd-e9513b4375b8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='2.16.840.1.113883.6.3'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10'] | self::hl7:code[@codeSystem='2.16.840.1.113883.6.260'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding'] | self::hl7:text)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3']|hl7:code[@codeSystem='2.16.840.1.113883.6.260'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="$elmcount&gt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="$elmcount&lt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.260'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.260'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']"
         id="tmp-r-2c7da798-b9dc-4462-9e1d-416470c74416">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.3' codeSystemName='icd10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']"
         id="tmp-r-c5b938e5-602e-42a9-aab8-9294a71b9dcd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.260' codeSystemName='icd10DualCoding'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text"
         id="tmp-r-117e22c1-72bd-45f8-9b2b-3acb2f5ec894">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText):  Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference"
         id="tmp-r-66076b69-1ad9-4e9a-91f0-6a1214b74a53">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText):  Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID </assert>
   </rule>
</pattern>
